diff --git a/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java b/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
index a65f02189..6a56aba7f 100644
--- a/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
+++ b/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
@@ -787,85 +712,79 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handleUpdateCreativeInventory(PacketUpdateCreativeInventory packet)
-    {
-        if (playerEntity.craftingInventory.containerId == packet.windowId && playerEntity.craftingInventory instanceof MenuInventoryCreative)
-        {
-            ((MenuInventoryCreative) playerEntity.craftingInventory).setInventoryStatus(packet.page, packet.searchText);
+    public void handleUpdateCreativeInventory(@NotNull PacketUpdateCreativeInventory packet) {
+        if (this.playerEntity.craftingInventory.containerId == packet.windowId && this.playerEntity.craftingInventory instanceof MenuInventoryCreative) {
+            ((MenuInventoryCreative) this.playerEntity.craftingInventory).setInventoryStatus(packet.page, packet.searchText);
         }
     }
 
     @Override
-    public void handleSetHotbarOffset(PacketSetHotbarOffset packet)
-    {
+    public void handleSetHotbarOffset(@NotNull PacketSetHotbarOffset packet) {
 
-        playerEntity.inventory.setHotbarOffset(packet.hotbarOffset, false);
-        if (packet.hotbarOffset != playerEntity.inventory.getHotbarOffset()) { // If player tries to set hotbar offset while locked resync the clients offset
+        this.playerEntity.inventory.setHotbarOffset(packet.hotbarOffset, false);
+        if (packet.hotbarOffset != this.playerEntity.inventory.getHotbarOffset()) { // If player tries to set hotbar offset while locked resync the clients offset
             sendPacket(new PacketSetHotbarOffset(packet.hotbarOffset));
         }
     }
-    
+
     @Override
-    public void handleItemName(PacketSetItemName packet)
-    {
+    public void handleSetItemName(@NotNull PacketSetItemName packet) {
         String name = packet.name;
         if (name.length() > 16) name = packet.name.substring(0, 16);
-        playerEntity.inventory.getItem(packet.slot).setCustomName(name);
+        this.playerEntity.inventory.getItem(packet.slot).setCustomName(name);
     }
 
     @Override
-    public void handleSetPaintingMotive(PacketSetPaintingArt setPaintingArtPacket)
-    {
-        playerEntity.setSelectedArt(ArtType.values.get(setPaintingArtPacket.motive));
+    public void handleSetPaintingArt(@NotNull PacketSetPaintingArt packetSetPaintingArt) {
+        this.playerEntity.setSelectedArt(ArtType.values.get(packetSetPaintingArt.motive));
     }
-    
+
     @Override
-    public void handleCustomPayload(PacketCustomPayload customPayloadPacket) {
-    	if(PacketCustomPayload.CHANNEL_ROTATION_LOCK.equals(customPayloadPacket.channel)) {
-    		if(customPayloadPacket.data.length == 4) {
-        		playerEntity.rotationLock = Direction.getDirectionById(customPayloadPacket.data[0]);
-        		playerEntity.rotationLockHorizontal = Direction.getDirectionById(customPayloadPacket.data[1]);
-        		playerEntity.rotationLockVertical = Direction.getDirectionById(customPayloadPacket.data[2]);
-        		playerEntity.placementModeOverride = PlacementMode.get(customPayloadPacket.data[3]);
-    		}
-    	}else if(PacketCustomPayload.CHANNEL_FLAG.equals(customPayloadPacket.channel)) {
-    		if(customPayloadPacket.data.length == 1 + (TileEntityFlag.CANVAS_WIDTH * TileEntityFlag.CANVAS_HEIGHT) && playerEntity.craftingInventory instanceof MenuFlag) {
-    			MenuFlag menuFlag = (MenuFlag) playerEntity.craftingInventory;
-    			TileEntityFlag flag = menuFlag.flag;
-
-    			if(flag.owner == null || flag.owner.equals(playerEntity.uuid)) {
-                    flag.owner = playerEntity.uuid;
-
-                    byte header = customPayloadPacket.data[0];
+    public void handleCustomPayload(@NotNull PacketCustomPayload packetCustomPayload) {
+        if (PacketCustomPayload.CHANNEL_ROTATION_LOCK.equals(packetCustomPayload.channel)) {
+            if (packetCustomPayload.data.length == 4) {
+                this.playerEntity.rotationLock = Direction.getDirectionById(packetCustomPayload.data[0]);
+                this.playerEntity.rotationLockHorizontal = Direction.getDirectionById(packetCustomPayload.data[1]);
+                this.playerEntity.rotationLockVertical = Direction.getDirectionById(packetCustomPayload.data[2]);
+                this.playerEntity.placementModeOverride = PlacementMode.get(packetCustomPayload.data[3]);
+            }
+        } else if (PacketCustomPayload.CHANNEL_FLAG.equals(packetCustomPayload.channel)) {
+            if (packetCustomPayload.data.length == 1 + (TileEntityFlag.CANVAS_WIDTH * TileEntityFlag.CANVAS_HEIGHT) && this.playerEntity.craftingInventory instanceof MenuFlag menuFlag) {
+                TileEntityFlag flag = menuFlag.flag;
+
+                if (flag.owner == null || flag.owner.equals(this.playerEntity.uuid)) {
+                    flag.owner = this.playerEntity.uuid;
+
+                    byte header = packetCustomPayload.data[0];
 
                     boolean flipped = (header & 0b0000_0001) != 0;
 
-        			System.arraycopy(customPayloadPacket.data, 1, flag.flagColors, 0, TileEntityFlag.CANVAS_WIDTH * TileEntityFlag.CANVAS_HEIGHT);
+                    System.arraycopy(packetCustomPayload.data, 1, flag.flagColors, 0, TileEntityFlag.CANVAS_WIDTH * TileEntityFlag.CANVAS_HEIGHT);
                     flag.setFlipped(flipped);
 
-        			playerEntity.world.markBlockNeedsUpdate(flag.x, flag.y, flag.z);
-    			}else {
-                    LOGGER.warn("Player '{}' tried editing a flag that belongs to '{}'!", playerEntity.username, flag.owner);
-
-    				// Let the client know that the flag design has been rejected
-    				playerEntity.world.markBlockNeedsUpdate(flag.x, flag.y, flag.z);
-    			}
-    		}
-    	} else if (PacketCustomPayload.CHANNEL_WAND_MONSTER.equals(customPayloadPacket.channel)) {
-            if (playerEntity.getHeldItem() != null && playerEntity.getHeldItem().getItem() == Items.WAND_MONSTER_SPAWNER){
-                String id = new String(customPayloadPacket.data, StandardCharsets.UTF_8);
-                playerEntity.getHeldItem().getData().putString("monster", id);
+                    this.playerEntity.world.markBlockNeedsUpdate(flag.x, flag.y, flag.z);
+                } else {
+                    LOGGER.warn("Player '{}' tried editing a flag that belongs to '{}'!", this.playerEntity.username, flag.owner);
+
+                    // Let the client know that the flag design has been rejected
+                    this.playerEntity.world.markBlockNeedsUpdate(flag.x, flag.y, flag.z);
+                }
+            }
+        } else if (PacketCustomPayload.CHANNEL_WAND_MONSTER.equals(packetCustomPayload.channel)) {
+            if (this.playerEntity.getHeldItem() != null && this.playerEntity.getHeldItem().getItem() == Items.WAND_MONSTER_SPAWNER) {
+                String id = new String(packetCustomPayload.data, StandardCharsets.UTF_8);
+                this.playerEntity.getHeldItem().getData().putString("monster", id);
             }
         }
     }
 
     @Override
-    public void handleRequestCommandManagerPacket(PacketRequestCommandManager packet) {
+    public void handleRequestCommandManager(@NotNull PacketRequestCommandManager packet) {
         sendPacket(
             new PacketCommandManager(
-                this.mcServer.getDimensionWorld(playerEntity.dimension)
+                this.mcServer.getDimensionWorld(this.playerEntity.dimension)
                     .getCommandManager().getDispatcher(),
-                new ServerCommandSource(this.mcServer, playerEntity),
+                new ServerCommandSource(this.mcServer, this.playerEntity),
                 packet.text,
                 packet.cursor
             )
@@ -873,24 +792,9 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public boolean isServerHandler()
-    {
+    public boolean isServerHandler() {
         return true;
     }
 
 
-    public static Logger LOGGER = LogUtils.getLogger();
-    public NetworkManager netManager;
-    public boolean connectionClosed;
-    private final MinecraftServer mcServer;
-    private PlayerServer playerEntity;
-    private int field_15_f;
-    private int field_22004_g;
-    private int playerInAirTime;
-    private double lastPosX;
-    private double lastPosY;
-    private double lastPosZ;
-    private boolean hasMoved;
-    private final Int2ShortMap guiIdMap;
-
 }
diff --git a/game/server/src/main/java/net/minecraft/server/world/WorldManager.java b/game/server/src/main/java/net/minecraft/server/world/WorldManager.java
index a149730de..ff8482d2e 100644
--- a/game/server/src/main/java/net/minecraft/server/world/WorldManager.java
+++ b/game/server/src/main/java/net/minecraft/server/world/WorldManager.java
@@ -8,8 +8,8 @@ import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.entity.player.Player;
-import net.minecraft.core.net.packet.PacketPlaySoundEffect;
-import net.minecraft.core.net.packet.PacketPlaySoundEffectDirect;
+import net.minecraft.core.net.packet.PacketPlaySound;
+import net.minecraft.core.net.packet.PacketPlaySoundDirect;
 import net.minecraft.core.sound.SoundTypes;
 import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.world.LevelListener;
@@ -78,7 +78,7 @@ public class WorldManager
 			}
 			return;
 		}
-		PacketPlaySoundEffectDirect packet = new PacketPlaySoundEffectDirect(soundId, soundType, x, y, z, volume, pitch);
+		PacketPlaySoundDirect packet = new PacketPlaySoundDirect(soundId, soundType, x, y, z, volume, pitch);
 		float range = 16.0f;
 		if(volume > 1.0f) {
 			range *= volume;
@@ -120,6 +120,6 @@ public class WorldManager
     @Override
 	public void levelEvent(@Nullable Player player, int id, int x, int y, int z, int data)
     {
-        mcServer.playerList.sendPacketToOtherPlayersAroundPoint(player, x, y, z, 64D, worldServer.dimension.id, new PacketPlaySoundEffect(id, x, y, z, data));
+        mcServer.playerList.sendPacketToOtherPlayersAroundPoint(player, x, y, z, 64D, worldServer.dimension.id, new PacketPlaySound(id, x, y, z, data));
     }
 }
diff --git a/game/server/src/main/java/net/minecraft/server/world/WorldServer.java b/game/server/src/main/java/net/minecraft/server/world/WorldServer.java
index c38d8f486..0de63e586 100644
--- a/game/server/src/main/java/net/minecraft/server/world/WorldServer.java
+++ b/game/server/src/main/java/net/minecraft/server/world/WorldServer.java
@@ -15,7 +15,7 @@ import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.net.packet.*;
 import net.minecraft.core.world.chunk.IChunkLoader;
 import net.minecraft.core.world.chunk.provider.IChunkProvider;
-import net.minecraft.core.world.pos.TilePos;
+import net.minecraft.core.world.pos.TilePosc;
 import net.minecraft.server.world.chunk.provider.ChunkProviderServer;
 import net.minecraft.core.world.save.LevelStorage;
 import net.minecraft.core.world.type.WorldType;
@@ -63,10 +63,10 @@ public class WorldServer extends World
     }
 
     @Override
-    public boolean canMineBlock(final @NotNull Player player, final @NotNull TilePos tilePos) {
+    public boolean canMineBlock(final @NotNull Player player, final @NotNull TilePosc tilePos) {
         if (this.mcServer.spawnProtectionRange <= 0 || this.mcServer.playerList.isOp(player.uuid)) return super.canMineBlock(player, tilePos);
-        final int dx = (int)MathHelper.abs(tilePos.x - this.levelData.getSpawnX());
-        final int dz = (int)MathHelper.abs(tilePos.z - this.levelData.getSpawnZ());
+        final int dx = (int)MathHelper.abs(tilePos.x() - this.levelData.getSpawnX());
+        final int dz = (int)MathHelper.abs(tilePos.z() - this.levelData.getSpawnZ());
         return Math.max(dx, dz) > this.mcServer.spawnProtectionRange;
     }
 
@@ -209,9 +209,9 @@ public class WorldServer extends World
     }
 
     @Override
-    public void triggerEvent(final @NotNull TilePos tilePos, final int index, final int data) {
+    public void triggerEvent(final @NotNull TilePosc tilePos, final int index, final int data) {
         super.triggerEvent(tilePos, index, data);
-        mcServer.playerList.sendPacketToPlayersAroundPoint(tilePos.x, tilePos.y, tilePos.z, 64.0, dimension.id, new PacketBlockEvent(tilePos.x, tilePos.y, tilePos.z, index, data));
+        mcServer.playerList.sendPacketToPlayersAroundPoint(tilePos.x(), tilePos.y(), tilePos.z(), 64.0, dimension.id, new PacketBlockEvent(tilePos.x(), tilePos.y(), tilePos.z(), index, data));
     }
 
     public void checkLock()
diff --git a/util/logging/src/main/java/com/mojang/logging/LogUtils.java b/util/logging/src/main/java/com/mojang/logging/LogUtils.java
index 7747d8292..44820a5ec 100644
--- a/util/logging/src/main/java/com/mojang/logging/LogUtils.java
+++ b/util/logging/src/main/java/com/mojang/logging/LogUtils.java
@@ -4,6 +4,7 @@
 
 package com.mojang.logging;
 
+import org.jetbrains.annotations.NotNull;
 import org.slf4j.MarkerFactory;
 import org.slf4j.LoggerFactory;
 import org.slf4j.Logger;
@@ -67,7 +68,7 @@ public class LogUtils
         return new ToString();
     }
     
-    public static CategorizedLogger getLogger() {
+    public static @NotNull CategorizedLogger getLogger() {
         return new CategorizedLogger(LoggerFactory.getLogger(getCallerClass().getSimpleName()));
     }
 
diff --git a/util/seed-viewer/src/main/java/org/useless/seedviewer/bta/BTAComplexChunk.java b/util/seed-viewer/src/main/java/org/useless/seedviewer/bta/BTAComplexChunk.java
index cde883a99..e177ad065 100644
--- a/util/seed-viewer/src/main/java/org/useless/seedviewer/bta/BTAComplexChunk.java
+++ b/util/seed-viewer/src/main/java/org/useless/seedviewer/bta/BTAComplexChunk.java
@@ -2,8 +2,8 @@ package org.useless.seedviewer.bta;
 
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.material.Material;
 import net.minecraft.core.block.material.MaterialColor;
+import net.minecraft.core.block.material.Materials;
 import net.minecraft.core.world.biome.provider.BiomeProvider;
 import net.minecraft.core.world.pos.ChunkTilePos;
 import org.jetbrains.annotations.NotNull;
@@ -46,7 +46,7 @@ public class BTAComplexChunk implements ViewerChunk {
             if (y < 0) break;
             Block<?> b = Blocks.getBlock(this.chunk.getBlockId(new ChunkTilePos(pos.x, y, pos.z)));
             if (b == null) break;
-            if (b.getMaterial() != Material.water) break;
+            if (b.getMaterial() != Materials.WATER) break;
             depth++;
         }
         return depth;
diff --git a/util/seed-viewer/src/main/java/org/useless/seedviewer/bta/chunk/provider/ChunkProviderSeedViewer.java b/util/seed-viewer/src/main/java/org/useless/seedviewer/bta/chunk/provider/ChunkProviderSeedViewer.java
index 1d954c3a1..d94f0c391 100644
--- a/util/seed-viewer/src/main/java/org/useless/seedviewer/bta/chunk/provider/ChunkProviderSeedViewer.java
+++ b/util/seed-viewer/src/main/java/org/useless/seedviewer/bta/chunk/provider/ChunkProviderSeedViewer.java
@@ -62,18 +62,19 @@ public class ChunkProviderSeedViewer
         } else {
             return;
         }
+        ChunkPos queryPos = new ChunkPos();
         this.chunks[index] = newChunk;
-        if (!this.chunks[index].isTerrainPopulated && isChunkLoaded(chunkPos.add(1, 1)) && isChunkLoaded(chunkPos.add(0, 1)) && isChunkLoaded(chunkPos.add(1, 0))) {
+        if (!this.chunks[index].isTerrainPopulated && isChunkLoaded(chunkPos.add(1, 1, queryPos)) && isChunkLoaded(chunkPos.add(0, 1, queryPos)) && isChunkLoaded(chunkPos.add(1, 0, queryPos))) {
             populate(chunkPos);
         }
-        if (isChunkLoaded(chunkPos.add(-1, 0)) && !provideChunk(chunkPos.add(-1, 0), true).isTerrainPopulated && isChunkLoaded(chunkPos.add(-1, 1)) && isChunkLoaded(chunkPos.add(0, 1)) && isChunkLoaded(chunkPos.add(-1, 0))) {
-            populate(chunkPos.add(-1, 0));
+        if (isChunkLoaded(chunkPos.add(-1, 0, queryPos)) && !provideChunk(chunkPos.add(-1, 0, queryPos), true).isTerrainPopulated && isChunkLoaded(chunkPos.add(-1, 1, queryPos)) && isChunkLoaded(chunkPos.add(0, 1, queryPos)) && isChunkLoaded(chunkPos.add(-1, 0, queryPos))) {
+            populate(chunkPos.add(-1, 0, queryPos));
         }
-        if (isChunkLoaded(chunkPos.add(0, -1)) && !provideChunk(chunkPos.add(0, -1), true).isTerrainPopulated && isChunkLoaded(chunkPos.add(1, -1)) && isChunkLoaded(chunkPos.add(0, -1)) && isChunkLoaded(chunkPos.add(1, 0))) {
-            populate(chunkPos.add(0, -1));
+        if (isChunkLoaded(chunkPos.add(0, -1, queryPos)) && !provideChunk(chunkPos.add(0, -1, queryPos), true).isTerrainPopulated && isChunkLoaded(chunkPos.add(1, -1, queryPos)) && isChunkLoaded(chunkPos.add(0, -1, queryPos)) && isChunkLoaded(chunkPos.add(1, 0, queryPos))) {
+            populate(chunkPos.add(0, -1, queryPos));
         }
-        if (isChunkLoaded(chunkPos.add(-1, -1)) && !provideChunk(chunkPos.add(-1, -1), true).isTerrainPopulated && isChunkLoaded(chunkPos.add(-1, -1)) && isChunkLoaded(chunkPos.add(0, -1)) && isChunkLoaded(chunkPos.add(-1, 0))) {
-            populate(chunkPos.add(-1, -1));
+        if (isChunkLoaded(chunkPos.add(-1, -1, queryPos)) && !provideChunk(chunkPos.add(-1, -1, queryPos), true).isTerrainPopulated && isChunkLoaded(chunkPos.add(-1, -1, queryPos)) && isChunkLoaded(chunkPos.add(0, -1, queryPos)) && isChunkLoaded(chunkPos.add(-1, 0, queryPos))) {
+            populate(chunkPos.add(-1, -1, queryPos));
         }
     }
 
@@ -121,20 +122,21 @@ public class ChunkProviderSeedViewer
                     chunk = this.blankChunk;
                 }
             }
+            ChunkPos queryPos = new ChunkPos();
             this.chunks[index] = chunk;
             chunk.checkForLightGaps();
             chunk.onLoad();
-            if (!chunk.isTerrainPopulated && isChunkLoaded(chunkPos.add(1, 1)) && isChunkLoaded(chunkPos.add(0, 1)) && isChunkLoaded(chunkPos.add(1, 0))) {
+            if (!chunk.isTerrainPopulated && isChunkLoaded(chunkPos.add(1, 1, queryPos)) && isChunkLoaded(chunkPos.add(0, 1, queryPos)) && isChunkLoaded(chunkPos.add(1, 0, queryPos))) {
                 populate(chunkPos);
             }
-            if (isChunkLoaded(chunkPos.add(-1, 0)) && !provideChunk(chunkPos.add(-1, 0), true).isTerrainPopulated && isChunkLoaded(chunkPos.add(-1, 1)) && isChunkLoaded(chunkPos.add(0, 1)) && isChunkLoaded(chunkPos.add(-1, 0))) {
-                populate(chunkPos.add(-1, 0));
+            if (isChunkLoaded(chunkPos.add(-1, 0, queryPos)) && !provideChunk(chunkPos.add(-1, 0, queryPos), true).isTerrainPopulated && isChunkLoaded(chunkPos.add(-1, 1, queryPos)) && isChunkLoaded(chunkPos.add(0, 1, queryPos)) && isChunkLoaded(chunkPos.add(-1, 0, queryPos))) {
+                populate(chunkPos.add(-1, 0, queryPos));
             }
-            if (isChunkLoaded(chunkPos.add(0, -1)) && !provideChunk(chunkPos.add(0, -1), true).isTerrainPopulated && isChunkLoaded(chunkPos.add(1, -1)) && isChunkLoaded(chunkPos.add(0, -1)) && isChunkLoaded(chunkPos.add(1, 0))) {
-                populate(chunkPos.add(0, -1));
+            if (isChunkLoaded(chunkPos.add(0, -1, queryPos)) && !provideChunk(chunkPos.add(0, -1, queryPos), true).isTerrainPopulated && isChunkLoaded(chunkPos.add(1, -1, queryPos)) && isChunkLoaded(chunkPos.add(0, -1, queryPos)) && isChunkLoaded(chunkPos.add(1, 0, queryPos))) {
+                populate(chunkPos.add(0, -1, queryPos));
             }
-            if (isChunkLoaded(chunkPos.add(-1, -1)) && !provideChunk(chunkPos.add(-1, -1), true).isTerrainPopulated && isChunkLoaded(chunkPos.add(-1, -1)) && isChunkLoaded(chunkPos.add(0, -1)) && isChunkLoaded(chunkPos.add(-1, 0))) {
-                populate(chunkPos.add(-1, -1));
+            if (isChunkLoaded(chunkPos.add(-1, -1, queryPos)) && !provideChunk(chunkPos.add(-1, -1, queryPos), true).isTerrainPopulated && isChunkLoaded(chunkPos.add(-1, -1, queryPos)) && isChunkLoaded(chunkPos.add(0, -1, queryPos)) && isChunkLoaded(chunkPos.add(-1, 0, queryPos))) {
+                populate(chunkPos.add(-1, -1, queryPos));
             }
             if (this.world.getCurrentWeather() != null) {
                 this.world.getCurrentWeather().doChunkLoadEffect(this.world, chunk);
